---
category: pages
name: Bank Entry
---
SDK Bank Entry Page component

Show and edit a Bank Entry

```jsx_example
function Example () {
  const notImplemented = () => {alert('This is not implemented in docs app')}

  return (
    <SDKApp
      apiEndpoint={`http://${config.API_HOST}`}
      appContainer="#app"
      outcomesEndpoint={config.OUTCOMES_ENDPOINT}
      outcomesToken={config.TOKEN_OUTCOMES_BUILD}
      userToken={config.TOKEN_BANKS_BUILD}
    >
      <BankEntry
        bankEntryId="1"
        bankId="1"
        navigateToBank={notImplemented}
        navigateToBanks={notImplemented}
        navigateToBuild={notImplemented}
      />
    </SDKApp>
  )
}

<LocaleSwitcher>
  <Example />
</LocaleSwitcher>
```
