---
category: pages
name: Show
---
SDK Quiz Session Pre-Take Page

The component shown to the user before starting a session

```jsx_example
function Example () {
  const notImplemented = () => {
    alert('Not yet implemented in demo app')
  }

  return (
    <SDKApp
      apiEndpoint={`http://${config.API_HOST}`}
      appContainer="#app"
      userToken={config.TOKEN_QUIZ_SESSION_TAKE}
    >
      <Show
        quizSessionId="1"
        onAttemptClick={notImplemented}
        onInProgress={notImplemented}
        onIsGraded={notImplemented}
        onIsPending={notImplemented}
        onNeedsGrading={notImplemented}
      />
    </SDKApp>
  )
}

<LocaleSwitcher>
  <Example />
</LocaleSwitcher>
```
