'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _BankEntry = require('../../../common/records/BankEntry');

var _BankEntry2 = _interopRequireDefault(_BankEntry);

var _Item = require('../../../common/records/Item');

var _Item2 = _interopRequireDefault(_Item);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
  permutations: [{
    addEntryToQuiz: [null, function () {}],
    isExpanded: [false, true]
  }],
  renderProps: function renderProps(props) {
    var bankEntry = new _BankEntry2.default();
    var item = new _Item2.default();
    bankEntry.getEntry = function () {
      return item;
    };
    return {
      componentProps: {
        bankEntry: bankEntry,
        bankId: '1',
        clearUi: function clearUi() {},
        createItem: function createItem() {},
        createStimulus: function createStimulus() {},
        navigateToBankEntry: function navigateToBankEntry() {},
        openModal: function openModal() {},
        removeBankEntry: function removeBankEntry() {},
        screenreaderNotification: function screenreaderNotification() {},
        toggleExpanded: function toggleExpanded() {},
        withConfirm: function withConfirm() {}
      }
    };
  }
};